import types
import sys

# Error reporting class
class error_object:

	# Print a message for the error that occured
	def eprint(self, str, msg):
		if type(msg) == types.StringType:
			err_str = str + msg
		else:
			try:
				err_str = str + msg[1]
			except:
				try:
					err_str = str + msg[0]
				except:
					err_str = str

		sys.stderr.write(err_str + "\n")
		
		return
	

	# Same as eprint but exit the application right after (used on
	# critical conditions)
	def eprint_exit(self, str, msg):
		self.eprint(str, msg)

		sys.exit(1)

